Skip to content

rescheduleDeliveryVisit

WRITE

Move a delivery visit to another service date, leaving it unassigned for dispatch on that date. Supply the visitId from getDispatchWorkspace and the new YYYY-MM-DD serviceDate..

POST /api/v1/routes/rescheduleDeliveryVisit
curl -X POST '<your-host>/api/v1/routes/rescheduleDeliveryVisit' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "visitId": "string",
    "serviceDate": "string"
  }'
Response
{
  "entityId": "string",
  "message": "string",
  "serviceDate": "string",
  "routePlanId": "string"
}

Parameters

ParameterType
date
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "visitId": {
      "type": "string",
      "minLength": 1
    },
    "serviceDate": {
      "type": "string",
      "format": "date"
    }
  },
  "required": [
    "visitId",
    "serviceDate"
  ],
  "additionalProperties": false
}